gnutls_ocsp_resp_import2(3)

NAME
gnutls_ocsp_resp_import2 - API function

SYNOPSIS
#include <gnutls/ocsp.h>

int gnutls_ocsp_resp_import2(gnutls_ocsp_resp_t resp, const gnutls_datum_t * data, gnutls_x509_crt_fmt_t fmt);

ARGUMENTS

gnutls_ocsp_resp_t resp
    The data to store the parsed response.

const gnutls_datum_t * data
    DER or PEM encoded OCSP response.

gnutls_x509_crt_fmt_t fmt
    DER or PEM

DESCRIPTION
This function will convert the given OCSP response to the native gnutls_ocsp_resp_t format. It also decodes the Basic OCSP Response part, if any. The output will be stored in resp .

RETURNS
On success, GNUTLS_E_SUCCESS (0) is returned, otherwise a negative error value.

SINCE
3.6.3

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: http://www.gnutls.org

COPYRIGHT
Copyright © 2001-2018 Free Software Foundation, Inc., and others.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

http://www.gnutls.org/manual/